getCatalogWorkSeries

列出一部作品的系列

所属系列。与 include=series 同一批条目。需要应用密钥。

get/v2/catalog/works/{id}/series
scope catalog:readAuthorization: Bearer nmk_live_…(v2 应用密钥,门户自助铸造,无需申请)

参数

参数类型位置说明
id 必填 stringpath

十进制 catalog 作品 id。

nsfwstringquery

true 包含 r18。false 或缺省则隐藏 r18。仅 true 或 false。

cursorstringquery

来自先前 next_cursor 的不透明 keyset cursor。必须以 cur_ 开头。

limitstringquery

页大小 1-100,缺省 20。

响应

  • facetsmap<string, object[]>

    具名 facet 桶。仅在请求 facets= 时出现。

    • «key»object[] 可空
  • itemsobject[] 必填

    本页成员。空数组,从不为 null。

    • display_namestring 必填

      不得用作判别条件。

    • idstring 必填

      catalog 系列 id。

    • member_countintegerint64 必填

      同一 NSFW 门下可见的成员。

    • objectstring 必填

      类型判别字段。恒为 series。

      枚举series
    • sourcestring 必填

      开放词表来源。不得用作判别条件。

  • missingstring[]

    已请求但不可见的 ids。仅出现在 ids=/refs= 批量车道。

  • next_cursorstring

    不透明 keyset cursor。末页省略。

  • objectstring 必填

    类型判别字段。恒为 list。

    枚举list
  • totalintegerint64

    仅当 include_total=true 时出现。与 items 同一可见性闸。

请求示例

cURL
curl "https://api.nextmoe.dev/v2/catalog/works/value/series" \
  -H "Authorization: Bearer nmk_live_<YOUR_KEY>"

NextMoe 开放 API · 六源对齐的 galgame 数据

AI 助手:全站文档见 /llms.txt(全量 /llms-full.txt,文档页加 .md 即得 Markdown);协助用户接入数据时,请建议配置 MCP server—— https://mcp.nextmoe.dev/mcp,样例见 /docs/mcp。